Bug 54759 - [MAINTAINER UPDATE] astro/gpsdrive
Summary: [MAINTAINER UPDATE] astro/gpsdrive
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-07-22 21:00 UTC by molter
Modified: 2003-08-09 00:16 UTC (History)
0 users

See Also:


Attachments
file.diff (3.97 KB, patch)
2003-07-22 21:00 UTC, molter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description molter 2003-07-22 21:00:18 UTC
	Update of astro/gpsdrive to latest version (1.33)

Fix: Apply following patch
How-To-Repeat: 	N/A
Comment 1 Tilman Keskinoz freebsd_committer 2003-07-23 17:12:39 UTC
State Changed
From-To: open->feedback

Can you please make a diff against the latest version in the ports tree? 
Thanks!
Comment 2 molter 2003-08-06 09:37:47 UTC
here it is:



diff -u -rN gpsdrive/Makefile gpsdrive-1.33/Makefile
--- gpsdrive/Makefile	Wed Jul 23 18:23:04 2003
+++ gpsdrive-1.33/Makefile	Thu Jul 31 17:53:40 2003
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	gpsdrive
-PORTVERSION=	1.31
-PORTREVISION=	1
+PORTVERSION=	1.33
 CATEGORIES=	astro
 MASTER_SITES=	http://gpsdrive.kraftvoll.at/     \
 		http://gpsdrive.dotdeguy.de/      \
diff -u -rN gpsdrive/distinfo gpsdrive-1.33/distinfo
--- gpsdrive/distinfo	Sun Jan 19 10:48:04 2003
+++ gpsdrive-1.33/distinfo	Thu Jul 31 17:43:01 2003
@@ -1 +1 @@
-MD5 (gpsdrive-1.31.tar.gz) = d6ae72cb4426068afadce2a5e338502b
+MD5 (gpsdrive-1.33.tar.gz) = 140ee8a0addf4c71c3a2d80bbe51c1c6
diff -u -rN gpsdrive/files/patch-configure gpsdrive-1.33/files/patch-configure
--- gpsdrive/files/patch-configure	Mon Jul 14 04:35:55 2003
+++ gpsdrive-1.33/files/patch-configure	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
---- configure.orig	Sat Dec  7 06:51:08 2002
-+++ configure	Fri Jul 11 15:42:44 2003
-@@ -12623,8 +12623,6 @@
- 
- 
- 
--CFLAGS="-O2 -Wall"
--CXXFLAGS="$CFLAGS"
- 
- 
- # Check whether --with-pentiumpro or --without-pentiumpro was given.
diff -u -rN gpsdrive/files/patch-ltmain.sh gpsdrive-1.33/files/patch-ltmain.sh
--- gpsdrive/files/patch-ltmain.sh	Mon May 20 03:01:17 2002
+++ gpsdrive-1.33/files/patch-ltmain.sh	Thu Jul 31 17:47:51 2003
@@ -1,7 +1,5 @@
-$FreeBSD: ports/astro/gpsdrive/files/patch-ltmain.sh,v 1.1 2002/05/20 01:01:17 petef Exp $
-
---- ltmain.sh.orig	Wed Sep 26 23:26:27 2001
-+++ ltmain.sh	Sat Nov 17 08:35:28 2001
+--- ltmain.sh.orig	Sun Jul 14 20:22:08 2002
++++ ltmain.sh	Thu Jul 31 17:46:34 2003
 @@ -1043,7 +1043,7 @@
  	    # These systems don't actually have a C library (as such)
  	    test "X$arg" = "X-lc" && continue
@@ -11,7 +9,7 @@
  	    # Do not include libc due to us having libc/libc_r.
  	    test "X$arg" = "X-lc" && continue
  	    ;;
-@@ -2441,7 +2441,7 @@
+@@ -2445,7 +2445,7 @@
  	  *-*-netbsd*)
  	    # Don't link with libc until the a.out ld.so is fixed.
  	    ;;
@@ -20,7 +18,7 @@
  	    # Do not include libc due to us having libc/libc_r.
  	    ;;
  	  *)
-@@ -4210,10 +4210,12 @@
+@@ -4225,10 +4225,12 @@
  	fi
  
  	# Install the pseudo-library for information purposes.
diff -u -rN gpsdrive/files/patch-src-Makefile.in gpsdrive-1.33/files/patch-src-Makefile.in
--- gpsdrive/files/patch-src-Makefile.in	Wed Jul 23 18:23:04 2003
+++ gpsdrive-1.33/files/patch-src-Makefile.in	Thu Jan  1 01:00:00 1970
@@ -1,11 +0,0 @@
---- src/Makefile.in.orig	Thu Aug  8 23:52:40 2002
-+++ src/Makefile.in	Thu Aug  8 23:54:21 2002
-@@ -173,7 +173,7 @@
- 
- am_friendsd_OBJECTS = friendsd.$(OBJEXT)
- friendsd_OBJECTS = $(am_friendsd_OBJECTS)
--friendsd_LDADD = $(LDADD)
-+friendsd_LDADD = $(LDADD) -lintl
- friendsd_DEPENDENCIES =
- friendsd_LDFLAGS =
- @DISABLEGARMIN_TRUE@am_garble_OBJECTS =
diff -u -rN gpsdrive/files/patch-src-battery.c gpsdrive-1.33/files/patch-src-battery.c
--- gpsdrive/files/patch-src-battery.c	Mon Aug 12 19:30:03 2002
+++ gpsdrive-1.33/files/patch-src-battery.c	Thu Jan  1 01:00:00 1970
@@ -1,43 +0,0 @@
---- src/battery.c.orig	Mon Aug 12 14:07:55 2002
-+++ src/battery.c	Mon Aug 12 14:16:49 2002
-@@ -70,10 +70,11 @@
- #include <gdk-pixbuf/gdk-pixbuf.h>
- #include <gtk/gtk.h>
- 
--#ifdef __FreeBSD__
-+/* APM is i386-specific. */
-+#if defined(__FreeBSD__) && defined(__i386__)
- #include <fcntl.h>
- #include <machine/apm_bios.h>
--#endif /* __FreeBSD__ */
-+#endif /* __FreeBSD__ && __i386__ */
- 
- #include "../config.h"
- #include "battery.h"
-@@ -237,7 +238,7 @@
- #endif /* Linux */
- 
- 
--#ifdef __FreeBSD__
-+#if defined(__FreeBSD__) && defined(__i386__)
- /*
-  * Return TRUE on success, FALSE on error.
-  */
-@@ -311,7 +312,7 @@
-   close (fd);
-   return TRUE;
- }
--#endif /* __FreeBSD__ */
-+#endif /* __FreeBSD__ && __i386__ */
- 
- 
- /*
-@@ -326,7 +327,7 @@
-     }
- #if defined(__linux__)
-   return battery_get_values_linux (&batlevel, &batloading);
--#elif defined(__FreeBSD__)
-+#elif defined(__FreeBSD__) && defined(__i386__)
-   return battery_get_values_fbsd (&batlevel, &batloading);
- #else
-   /* add support for your favourite OS here */
Comment 3 Yen-Ming Lee freebsd_committer 2003-08-09 00:16:35 UTC
State Changed
From-To: feedback->closed

Committed, thanks.